Problemi con Gimp2

Se avete problemi con l'installazione e la configurazione di Slackware postate qui. Non usate questo forum per argomenti generali... per quelli usate Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware, se l'argomento è generale usate il forum Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
MarcoR
Linux 1.0
Linux 1.0
Messaggi: 51
Iscritto il: gio feb 19, 2004 0:00

Problemi con Gimp2

Messaggioda MarcoR » mar mar 30, 2004 12:38

Ho aggiornato con i pacchetti ufficiali Slack xfree 4.4, kde 3.2.1 e gimp2 (oltre alle gtk+2). <BR>Di kde non funziona il lancio di artsd (ma dovrebbe essere la mancanza delle libXine... proverò). <BR>Quello che proprio non capisco sono i problemi legati a gimp2. Direi che sono problemi legati alle gtk+2. Utilizzando le ultime versioni (slack-current) oltre a gimp 2 non va neppure mozilla-1.6. <BR>Con le vecchie gtk+2 (quelle della 9.1) mozilla-1.6 almeno va (gimp2 no). <BR>Non ho sotto mano i messaggi di errore, quindi eventualmente sarò più preciso in seguito (sono del tipo gdk_xxx thread lock... ). Le gdk che ho installato sono quelle della slack-current. <BR>Qualche utente ha avuto gli stessi problemi? <BR> <BR>Grazie in anticipio <BR>ciao a tutti <BR>MarcoR<br>

Vermut
Linux 1.0
Linux 1.0
Messaggi: 64
Iscritto il: ven feb 13, 2004 0:00
Località: La capitale
Contatta:

Problemi con Gimp2

Messaggioda Vermut » mar mar 30, 2004 23:46

installato ora gimp 2 <BR>all´avvio ho: <BR> <BR>bash-2.05b$ gimp <BR>gimp: relocation error: gimp: undefined symbol: gdk_threads_lock <BR>bash-2.05b$ <BR> <BR> <BR>che può esse?<br>

sal
Linux 1.0
Linux 1.0
Messaggi: 83
Iscritto il: mar feb 24, 2004 0:00
Località: Basilea

Problemi con Gimp2

Messaggioda sal » mer mar 31, 2004 9:41

Anch´io !!! <BR> :-? :-? <br>

MarcoR
Linux 1.0
Linux 1.0
Messaggi: 51
Iscritto il: gio feb 19, 2004 0:00

Problemi con Gimp2

Messaggioda MarcoR » mer mar 31, 2004 12:11

Già, è proprio l´errore che dicevo... almeno non sono solo!<br>

MarcoR
Linux 1.0
Linux 1.0
Messaggi: 51
Iscritto il: gio feb 19, 2004 0:00

Problemi con Gimp2

Messaggioda MarcoR » mer mar 31, 2004 12:18

Forse ho trovato qualche cosa.... <BR> <BR>in un forum su problemi legati a mozilla si dice di aggiornare anche <BR>pango-1.4.0-i486-1.tgz <BR> <BR>Questa sera provo (argh, al lavoro non ho slack [e neppure linux] :-( ). <BR> <BR>Se c´è qualcuno che può provare al volo....<br>

Vermut
Linux 1.0
Linux 1.0
Messaggi: 64
Iscritto il: ven feb 13, 2004 0:00
Località: La capitale
Contatta:

Problemi con Gimp2

Messaggioda Vermut » mer mar 31, 2004 12:36

io appena torno a casa da lavoro verso le 2. <BR>Però non penso che pango centri molto, se non sbaglio ho rimosso anche il pacchetto, comunque a me mozilla va una crema come sempre<br>

Vermut
Linux 1.0
Linux 1.0
Messaggi: 64
Iscritto il: ven feb 13, 2004 0:00
Località: La capitale
Contatta:

Problemi con Gimp2

Messaggioda Vermut » mer mar 31, 2004 15:34

aggiornato pango e resta tutto uguale logicamente<br>

Vermut
Linux 1.0
Linux 1.0
Messaggi: 64
Iscritto il: ven feb 13, 2004 0:00
Località: La capitale
Contatta:

Problemi con Gimp2

Messaggioda Vermut » mer mar 31, 2004 15:44

occhio! ho dovuto rimettere pango 1.2.5 e levare 1.4.0 in quanto xchat non andava più col nuovo<br>

MarcoR
Linux 1.0
Linux 1.0
Messaggi: 51
Iscritto il: gio feb 19, 2004 0:00

Problemi con Gimp2

Messaggioda MarcoR » mer mar 31, 2004 16:14

Grazie della prova al volo "vermut"... <br>

sNeo
Linux 1.0
Linux 1.0
Messaggi: 8
Iscritto il: ven nov 28, 2003 0:00

Problemi con Gimp2

Messaggioda sNeo » mer mar 31, 2004 19:29

ho lo stesso problema con gimp :/<br>

sNeo
Linux 1.0
Linux 1.0
Messaggi: 8
Iscritto il: ven nov 28, 2003 0:00

Problemi con Gimp2

Messaggioda sNeo » mer mar 31, 2004 19:55

Ho risolto!! <BR>basta che aggiornate: pango. gtk e glib :)<br>

Vermut
Linux 1.0
Linux 1.0
Messaggi: 64
Iscritto il: ven feb 13, 2004 0:00
Località: La capitale
Contatta:

Problemi con Gimp2

Messaggioda Vermut » mer mar 31, 2004 21:02

io sto con la "abbastanza current". <BR>scrivi i pacchetti precisi che hai aggiornato <BR><BR><BR>[ Questo Messaggio è stato Modificato da: Vermut il 31-03-2004 21:03 ]<br>

Vermut
Linux 1.0
Linux 1.0
Messaggi: 64
Iscritto il: ven feb 13, 2004 0:00
Località: La capitale
Contatta:

Problemi con Gimp2

Messaggioda Vermut » mer mar 31, 2004 21:38

Passato! il pacchetto incrimanto è gtk+2-2.2.4-i486-1 che va portato a gtk+2-2.4.0-i486-2.tgz. Non avevo fatto caso allo 0 e quindi non l´ho aggiornato ed il problema è proprio quello. Il pango sta sempre a 1.2.5 e non a 1.4.0<br>

Vermut
Linux 1.0
Linux 1.0
Messaggi: 64
Iscritto il: ven feb 13, 2004 0:00
Località: La capitale
Contatta:

Problemi con Gimp2

Messaggioda Vermut » mer mar 31, 2004 21:41

occhio per l´ennesima volta aggiornando il pacchetto vi darà <BR>bash-2.05b# xchat <BR>xchat: error while loading shared libraries: libXinerama.so.1: cannot open shared object file: No such file or directory <BR>bash-2.05b# <BR> <BR>quella lib sta in Xfree io non ho ancora messo il 4.4.0 e penso a questo punto che gimp 2 sia compilato per xfree 4.4.0. quindi vedete di aggiornare il tutto. <BR>Appena risovolvo tutto (domani ora esco) posto<br>

sal
Linux 1.0
Linux 1.0
Messaggi: 83
Iscritto il: mar feb 24, 2004 0:00
Località: Basilea

Problemi con Gimp2

Messaggioda sal » mer mar 31, 2004 22:45

Fatto !! <BR>Aggiornati 2gtk+2-2.4.0-i486-2, pango-1.4.0-i486-1,glib2-2.4.0-i486-1 tutti dalla Current !!! <BR>(comunque io ho installato Xfree 4.4.0 )<br>